<?php
/**
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

extract($displayData);


if (!empty($options['showonEnabled']))
{
	/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
	$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
	$wa->useScript('showon');
}

$class           = empty($options['class']) ? '' : ' ' . $options['class'];

if (!empty($parentclass))
{
	$class .= ' ' . $parentclass;
}

$divpos = $options['divpos'];
$app = Factory::getApplication();

if ($app->isClient('site')) {
    return;
}
?>
<?php if ($divpos === 'start' ) : ?>
    <div class="<?php echo $class; ?>">
<?php endif; ?>
<?php if ($divpos === 'end' ) : ?>
    </div>
<?php endif; ?>